Name:           perl-Dist-Zilla-Plugin-GithubMeta
Version:        0.50
Release:        1%{?dist}
Summary:        Automatically include GitHub meta information in META.yml
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Dist-Zilla-Plugin-GithubMeta/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/Dist-Zilla-Plugin-GithubMeta-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Dist::Zilla::Role::MetaProvider)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Types::URI)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(version)
# Tests only
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Dist::Zilla::Plugin::GithubMeta is a Dist::Zilla plugin to include
GitHub meta information in META.yml.  It automatically detects if the
distribution directory is under git version control and whether the
origin is a GitHub repository and will set the repository and homepage
meta in META.yml to the appropriate URLs for GitHub.

%prep
%setup -q -n Dist-Zilla-Plugin-GithubMeta-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri May 15 2015 Petr Šabata <contyk@redhat.com> 0.50-1
- Initial packaging
